using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Autoscribe.Lyons.GeneralService;
using Autoscribe.Lyons.ATMService;

namespace atmDemo.Wrapper
{
    interface IATMServiceWrapper
    {
        LogonResult Logon(int companyId, string username, string password);
        void Logoff(string token);
        BooleanResult IsParticipant(string token, string aba);
        StatusCodeResult VerifyAccount(string token, string aba, string account, string amount, string customerPresent);
        StatusDescriptionResult DescribeStatusCode(string token, int statusCode);
        DetailedStatusCodeResult VerifyAccountWithDetails(string token, string aba, string account, string amount, string customerPresent, string denyNsf);
    }
}
